package sun.security.util.math;

import java.nio.ByteBuffer;

public interface MutableIntegerModuloP extends IntegerModuloP
{
    public abstract void conditionalSet(IntegerModuloP p0, int p1);
    
    public abstract void conditionalSwapWith(MutableIntegerModuloP p0, int p1);
    
    public abstract MutableIntegerModuloP setValue(IntegerModuloP p0);
    
    public abstract MutableIntegerModuloP setValue(byte[] p0, int p1, int p2, byte p3);
    
    public abstract MutableIntegerModuloP setValue(ByteBuffer p0, int p1, byte p2);
    
    public abstract MutableIntegerModuloP setSquare();
    
    public abstract MutableIntegerModuloP setSum(IntegerModuloP p0);
    
    public abstract MutableIntegerModuloP setDifference(IntegerModuloP p0);
    
    public abstract MutableIntegerModuloP setProduct(IntegerModuloP p0);
    
    public abstract MutableIntegerModuloP setProduct(SmallValue p0);
    
    public abstract MutableIntegerModuloP setAdditiveInverse();
    
    public abstract MutableIntegerModuloP setReduced();
}
